The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"FreeBSD 7 Communigate pro"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы OpenNET: Виртуальная конференция (Public)
Изначальное сообщение [ Отслеживать ]

"FreeBSD 7 Communigate pro"  +/
Сообщение от micolo (ok) on 01-Фев-08, 09:44 
Доброго времени суток!

Стакнулся со следующей проблемой. Установил на седьмую фряху - communigate pro(правда для шестой версии). Замапил недостающие библиотеки. Но проблема с libpthread.so.2. Делал и на libpthread.so и на libthr.so.3, вылетает ошибка


Starting CommuniGate Pro
/libexec/ld-elf.so.1: /usr/lib/libpthread.so: version LIBTHREAD_1_0 required by /usr/local/sbin/CommuniGate/CGServer not found


Как с этим бороться?

Высказать мнение | Ответить | Правка | Cообщить модератору

 Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "FreeBSD 7 Communigate pro"  +/
Сообщение от idle (ok) on 01-Фев-08, 11:38 
>[оверквотинг удален]
>Стакнулся со следующей проблемой. Установил на седьмую фряху - communigate pro(правда для
>шестой версии). Замапил недостающие библиотеки. Но проблема с libpthread.so.2. Делал и
>на libpthread.so и на libthr.so.3, вылетает ошибка
>
>
>Starting CommuniGate Pro
>/libexec/ld-elf.so.1: /usr/lib/libpthread.so: version LIBTHREAD_1_0 required by /usr/local/sbin/CommuniGate/CGServer not found
>
>
>Как с этим бороться?

Сорри зо оффтопик, но чем Вам postfix'а не хватает?

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "FreeBSD 7 Communigate pro"  +/
Сообщение от micolo (ok) on 01-Фев-08, 12:01 
есть свои причины, хотя postfix мне нравится больше.... но вопрос остается открытым....
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "FreeBSD 7 Communigate pro"  +/
Сообщение от Борис (??) on 01-Фев-08, 12:55 
>>Стакнулся со следующей проблемой. Установил на седьмую фряху - communigate pro(правда для
>>шестой версии). Замапил недостающие библиотеки. Но проблема с libpthread.so.2. Делал и
>>на libpthread.so и на libthr.so.3, вылетает ошибка
>>
>>Starting CommuniGate Pro
>>/libexec/ld-elf.so.1: /usr/lib/libpthread.so: version LIBTHREAD_1_0 required by /usr/local/sbin/CommuniGate/CGServer not found
>>
>>
>>Как с этим бороться?
>

Ставить package COMPAT6?  На прошлых переходах с одной версии FreeBSD на другую это всегда помогало.

>Сорри зо оффтопик, но чем Вам postfix'а не хватает?

  А разве postfix делает что-то из того, что умеет CommuniGate Pro?  Не считая SMTP, разумеется.


  Если хочется сравнить CGP с каким-нибудь opensource, то надо бы упомянуть вот такой комплект -  postfix, cyrrus, apache, php, mysql, squirel, proftpd, freeradius, openldap, asterisk, openser, ejabberd

   ...  и все равно это будет менее 50% функционала CGP, несмотря на всю %блю, которую нужно осуществить, дабы запустить оный комплект опенсурса.


   См - http://mail.stalker.com/Guide/russian/Features.html


Boris.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

4. "FreeBSD 7 Communigate pro"  +/
Сообщение от alisherk on 01-Фев-08, 19:46 

>[оверквотинг удален]
>
>   ...  и все равно это будет менее 50%
>функционала CGP, несмотря на всю %блю, которую нужно осуществить, дабы запустить
>оный комплект опенсурса.
>
>
>   См - http://mail.stalker.com/Guide/russian/Features.html
>
>
>Boris.

+1 даже, добавить нечего
Аминь.


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

5. "FreeBSD 7 Communigate pro"  +/
Сообщение от Darchik on 30-Мрт-08, 19:38 
>[оверквотинг удален]
>
>   ...  и все равно это будет менее 50%
>функционала CGP, несмотря на всю %блю, которую нужно осуществить, дабы запустить
>оный комплект опенсурса.
>
>
>   См - http://mail.stalker.com/Guide/russian/Features.html
>
>
>Boris.

Compat6, что-то он ничего не решил, или чего то не так делаю.

Вообщем проблема я так думаю остается.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

6. "FreeBSD 7 Communigate pro"  +/
Сообщение от darchik (ok) on 03-Апр-08, 08:03 
Всем привет!!!!

Я тут нашел по данной проблеме одно решение, использовать или нет на ваше усмотрение:
ln -s /usr/local/lib/compat/libthr.so.2 libpthread.so.2

И вроде как запускается и даже работает, еще не тестил на корявость работы.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

9. "FreeBSD 7 Communigate pro"  +/
Сообщение от zhan on 20-Окт-08, 12:28 
>[оверквотинг удален]
>>
>>   См - http://mail.stalker.com/Guide/russian/Features.html
>>
>>
>>Boris.
>
>Compat6, что-то он ничего не решил, или чего то не так делаю.
>
>
>Вообщем проблема я так думаю остается.

Понимаю что поздно, но для будущих поколений:

com# whereis compat6x
compat6x: /usr/ports/misc/compat6x
com# cd /usr/ports/misc/compat6x
com# make install clean

и все! на этом проблема решится.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

7. "FreeBSD 7 Communigate pro"  +/
Сообщение от FoXKa email on 23-Апр-08, 15:09 
>[оверквотинг удален]
>Стакнулся со следующей проблемой. Установил на седьмую фряху - communigate pro(правда для
>шестой версии). Замапил недостающие библиотеки. Но проблема с libpthread.so.2. Делал и
>на libpthread.so и на libthr.so.3, вылетает ошибка
>
>
>Starting CommuniGate Pro
>/libexec/ld-elf.so.1: /usr/lib/libpthread.so: version LIBTHREAD_1_0 required by /usr/local/sbin/CommuniGate/CGServer not found
>
>
>Как с этим бороться?

в прошлых версиях я решал путём скачивание данных библиотек с предыдушей версии... т.е на старой фри с развёрнутым комунигейтом сохраняешь и пребрасываешь нужные библиотеки.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

8. "FreeBSD 7 Communigate pro"  +/
Сообщение от zolters email on 27-Май-08, 11:07 
дайте ссылку плиз скачать Communigate под 7 фрю
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

10. "FreeBSD 7 Communigate pro"  +/
Сообщение от kvasik (ok) on 22-Май-09, 11:19 
если не сложно, опишите пож. процесс установки Коммунигейта для BSD6x на BSD7x версии


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

11. "FreeBSD 7 Communigate pro"  +/
Сообщение от hate email on 22-Май-09, 11:39 
>если не сложно, опишите пож. процесс установки Коммунигейта для BSD6x на BSD7x
>версии

1. Прочитать инструкцию по установке.

2. Если не понял то задуматься о том что ты занялся не своим делом.


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

12. "FreeBSD 7 Communigate pro"  +/
Сообщение от kvasik (ok) on 22-Май-09, 14:46 
Уже нашел:

http://www.communigate.com/enterprise/download_purch.html
pkg_add /usr/home/user/CGatePro-FreeBSD6-Intel.tgz  

p.s. спасибо за быструю реакцию, hate

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

13. "FreeBSD 7 Communigate pro"  +/
Сообщение от hate email on 22-Май-09, 15:17 
>Уже нашел:
>
>http://www.communigate.com/enterprise/download_purch.html
>pkg_add /usr/home/user/CGatePro-FreeBSD6-Intel.tgz
>
>p.s. спасибо за быструю реакцию, hate

Не достаточно хорошо искал.

Для FreeBSD 7 брать тут - ftp://ftp.stalker.com/pub/CommuniGatePro/5.2/

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
Слёрм
Inferno Solutions
Hosting by Ihor
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2019 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру